[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 11 Update: ocaml-postgresql-1.12.3-1.fc11.2



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2009-10633
2009-10-21 00:09:44
--------------------------------------------------------------------------------

Name        : ocaml-postgresql
Product     : Fedora 11
Version     : 1.12.3
Release     : 1.fc11.2
URL         : http://www.ocaml.info/home/ocaml_sources.html#postgresql-ocaml
Summary     : OCaml library for accessing PostgreSQL databases
Description :
This OCaml-library provides an interface to PostgreSQL, an efficient
and reliable, open source, relational database.  Almost all
functionality available through the C-API (libpq) is replicated in a
type-safe way.  This library uses objects for representing database
connections and results of queries.

--------------------------------------------------------------------------------
Update Information:

- New upstream version 1.12.3.  - This contains a SECURITY fix for:
https://bugzilla.redhat.com/show_bug.cgi?id=529325  CVE-2009-2943 ocaml-
postgresql: Missing escape function (DSA-1909-1)  HOWEVER you are not protected
until you change your code to  use the new connection#escape_string method.
--------------------------------------------------------------------------------
ChangeLog:

* Fri Oct 16 2009 Richard W.M. Jones <rjones redhat com> - 1.12.3-1.fc11.2
- Fix build process for new upstream tarball layout.
* Fri Oct 16 2009 Richard W.M. Jones <rjones redhat com> - 1.12.3-1
- New upstream version 1.12.3.
- This contains a SECURITY fix for:
  https://bugzilla.redhat.com/show_bug.cgi?id=529325
  CVE-2009-2943 ocaml-postgresql: Missing escape function (DSA-1909-1)
  HOWEVER you are not protected until you change your code to
  use the new connection#escape_string method.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #529325 - CVE-2009-2943 ocaml-postgresql: Missing escape function (DSA-1909-1)
        https://bugzilla.redhat.com/show_bug.cgi?id=529325
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update ocaml-postgresql' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]